<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ControllerManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#f2e310f231acf0c16e49606c067de5fb">clearControllers</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a48c7d2913101890c3d39921d287729b">ControllerList</a> typedef</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#10f4bb90f05406d2a2aba8da2dc8b747">ControllerManager</a>()</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#9f3982cde857fa24a943d006055fc683">createController</a>(const ControllerValueRealPtr &amp;src, const ControllerValueRealPtr &amp;dest, const ControllerFunctionRealPtr &amp;func)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ee6987d8cf3b28e404ddaf7305746093">createFrameTimePassthroughController</a>(const ControllerValueRealPtr &amp;dest)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#903c5e54329b97dc7bd31af1adde7c26">createGpuProgramTimerParam</a>(GpuProgramParameters *params, size_t paramIndex, Real timeFactor=1.0f)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#ca387f07522b8a9d0d432483d4d3c01c">createTextureAnimator</a>(TextureUnitState *layer, Real sequenceTime)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#1f82bf242c70d3d07e7bfc36e975e7f2">createTextureRotater</a>(TextureUnitState *layer, Real speed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#f5924b16f9b1065603e16afef947352d">createTextureUScroller</a>(TextureUnitState *layer, Real uSpeed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#59a8e73c5ee11b05b5506ed35759a967">createTextureUVScroller</a>(TextureUnitState *layer, Real speed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#b7eceb56b8f88d6711bb92b89edac320">createTextureVScroller</a>(TextureUnitState *layer, Real vSpeed)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#db7c1830d90168a153f230bf9185d983">createTextureWaveTransformer</a>(TextureUnitState *layer, TextureUnitState::TextureTransformType ttype, WaveformType waveType, Real base=0, Real frequency=1, Real phase=0, Real amplitude=1)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#8101005e37057a9e2b4830f8294d76ad">destroyController</a>(Controller&lt; Real &gt; *controller)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#7426664951c1f7bc6e42ff5e83cd8ec8">getElapsedTime</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#66be5a1f5f7fa249d1bbd27d6eaec21d">getFrameDelay</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#df59b698017c1bc2af26fa30c0bcfa80">getFrameTimeSource</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#4cdfe01292213ab51cd22721de5d0474">getPassthroughControllerFunction</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#68fb107a5e1b3470c7381c0c1fdd36c7">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#fc3e91410cbc2f77cfff9f9b09ef60f7">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#22912479acd815fc94365804a8a6238e">getTimeFactor</a>(void) const </td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#d263be2e0db9bbddc6e4587a78f615c8">mControllers</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#555188386569bbacdec2d662b64fd59c">mFrameTimeController</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#630fae68555eb16ed10c282fa5826eb8">mLastFrameNumber</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#e275d3c92f688de92071a85e24a3f42f">mPassthroughFunction</a></td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#eae665419e95a8b9a250254462297786">setElapsedTime</a>(Real elapsedTime)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#a27ced49b9021563ef663cebdd320191">setFrameDelay</a>(Real fd)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#c254afaf3a4086f0b1f4fb5391d48446">setTimeFactor</a>(Real tf)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#dec63ad5547225a6d1023f127205a558">updateAllControllers</a>(void)</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerManager.html#c22a262e1100162f5f9280f59e47cdbb">~ControllerManager</a>()</td><td><a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:29 2008
</p>
</body>
</html>
